/*
 Problema: elaborar um programa que simule uma calculadora,
  onde eh possivel efetuar uma das 4 operacoes: " +, -, *, ou / ".
  Dado o valor dos dois operandos "a" e "b", numeros reais, e a
  tecla da operacao desejada (+ - * /), calcula e imprime o resultado
  da operacao ou imprime uma mensagem do tipo "tecla invalida".
  O programa deve exibir uma tela do tipo:
                      "teclar <enter> para ligar a calculadora"
                      "teclar <esc> para desligar a calculadora"

 Resoluo: o programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - imprimir: Deseja usar a calculadora ?
                Teclar:  <enter> - para Sim, ou
                           <esc> - para Nao
  3 - permitir que voce digite o primeiro numero "a";
  4 - permitir que voce digite a tecla da operacao desejada;
  5 - permitir que voce digite o segundo numero "b"
  6 - selecionar a operacao
        6.1 - efetuar a operacao;
        6.2 - imprimir o resultado obtido;
  7 - imprimir: Deseja continuar usando a calculadora ?
                Teclar:  <enter> - para Sim, ou
                           <esc> - para Nao

 descricao das variaveis
  a, b - sao os operandos(guarda os 2 valores para calculos)
	   r - guarda o resultado da operacao
    op - guarda o operador (a tecla da operacao)
   lig - guarda a resposta de ligar ou deligar a calculadora
*/

#include <stdio.h>   /* arquivo de inclusao para entrada e saida, para usar: scanf e printf */
#include <conio.h>  /* para usar: getch */

int main ()
{
  float a,b; /* operandos - valores para calculos */
  float r; /* resultado da operacao */
  char op; /* operador - tecla da operacao */
  char lig; /* tecla ligar/desligar a calculadora */

  printf ("\n\nDeseja usar a calculadora ?");
  printf ("\nTeclar <enter> - para Sim, isto eh para ligar a calculadora, ou");
  printf ("\n         <esc> - para Nao, isto eh para mante-la desligada: ");
  lig = getch(); //leitura da tecla teclada, sem teclar o <enter>
  while(lig == 13)//13-cdico do <enter>
  {//inicio-while
    printf ("\n\ndigite os dados:");
    printf ("\n\n  a : ");
    scanf ("%f", &a);
    printf ("\nescolha uma das operaoes ( +, -, *, ou /): ");
    op = getche(); //leitura da tecla teclada, sem esperar teclar o <enter>
    printf ("\n\n  b : ");
    scanf ("%f", &b);
    // selecionar a operao - calcular e imprimir o resultado
    if(op == '+')
    {
      r = a + b;
      printf ("\n\nResultado = %f", r);
    }
    if(op == '-')
    {
      r = a - b;
      printf ("\n\nResultado = %f", r);
    }
    if(op == '*')
    {
      r = a * b;
      printf ("\n\nResultado = %f", r);
    }
    if(op == '/')
    {
      r = a / b;
      printf ("\n\nResultado = %f", r);
    }
    if((op != '+') && (op != '-') && (op != '*') && (op != '/'))
    {
      printf ("\n\noperador invalido");
    }

    printf ("\n\nDeseja continuar usando a calculadora ?");
    printf ("\nTeclar <enter> - para Sim, isto eh para continuar com a calculadora ligada, ou");
    printf ("\n         <esc> - para Nao, isto eh para desliga-la: ");
    lig = getch(); //leitura da tecla teclada, sem teclar o <enter>
  }//fim-while

  printf ("\n");//vai para uma nova linha - saltar linha
  return 0;
}
